"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
class ConsoleWriter {
    init(observable) {
        observable.subscribe(this.onMessage.bind(this));
    }
    flush() { }
    onMessage(message) {
        let lines = message.text.formatted;
        let name = "";
        if (message.name)
            name = `[${message.name}]=>`;
        lines.forEach(line => console.log(name + line + index_1.Colors.Reset));
    }
}
exports.ConsoleWriter = ConsoleWriter;
//# sourceMappingURL=consolewriter.js.map